Pro Tools 10.3.7 Update Now Available

Avid have just released Pro Tools 10.3.7 (Downloadable here) which includes the following bug fixes and improvements:

  • The Pro Tools application icon has been modified to allow easier identification of Pro Tools 10.3.7 in a co-install configuration.
  • Pro Tools 10 now has a Satellite protocol option that allows forward compatibility with Pro Tools 11. 
To allow you to connect Pro Tools 10 and Pro Tools 11 systems in a satellite configuration, an option has been added in the Satellite pane of the Peripherals dialog that allows you to select which version of the Satellite protocol you want to use (either Pro Tools 10 or 
Pro Tools 11).
NOTE: All systems in a Satellite configuration must use the same version of the Satellite protocol.
The admin system must be a Pro Tools 11 system.
  • Avid Audio Engine performance has been improved for HDX, HD Native and HD Native Thunderbolt. (Mac OS X 10.8.4 or higher required). 
  • Session save times have been improved. (PTSW-185060)
  • Destructive Punch now records properly after recording to the end of file. (PTSW-177550)
  • Crashes associated with the use of RME HDSPe MADI, HDSP PCIe and UAD Apollo interfaces have been resolved. (PTSW-164626, PTSW-182520, PTSW-182588)
  • Scroll wheel functions properly for a variety of numeric entry fields in Pro Tools: Video Offset, Preferences, Click/Countoff Options, Event Operations (PTSW-134626, PTSW-134632, PTSW-134634, PTSW-134636.)
  • In the Bounce dialog, “Enforce Avid Compatibility’ has been changed to “Enforce Media Composer Compatibility” to better reflect the intended use of this option. (PTSW-181436)
Version 10.3.7 is officially qualified and recommended for:
  • Pro Tools|HDX systems on Mac OS X 10.7-10.7.5, 10.8, 10.8.2 to 10.8.4 or Windows 7 SP1 (details)
  • Pro Tools|HD Native systems on Mac OS X 10.6.7-10.7.5, 10.8, 10.8.2 to 10.8.4, or Windows 7 SP1 (details)
  • Pro Tools|HD Native Thunderbolt systems on Mac OS X 10.7.5, 10.8, 10.8.2 to 10.8.4 (details)
  • Pro Tools|HD Accel systems on Mac OS X 10.6.7-10.7.5, 10.8, 10.8.2 to 10.8.4 or Windows 7 SP1
  • Pro Tools systems on Mac OS X 10.6.7-10.7.5, 10.8, 10.8.2 to 10.8.4 or Windows 7 SP1
*For Mac Pro computer support with Mountain Lion a Nehalem (4,1) or later is required.  Click here for a full list of Qualified Apple computers with Pro Tools.  Click here for more info on Mountain Lion OS compatibility.
The Read Me file documents issues fixed in this release as well as important compatibility information, known issues, error messages, etc.

 

PrintView Printer Friendly Version

EmailEmail Article to Friend

Reader Comments

There are no comments for this journal entry. To create a new comment, use the form below.
Editor Permission Required
You must have editing permission for this entry in order to post comments.
« I Don't Care About What You Won In 2003 | Main | IK Mulltimedia Announce AAX 64 bit Version Of T-RackS CS For Pro Tools 11 »